| Python Script Engine 8.3 GL Studio Editor Python Script API

Public Member Functions | List of all members
Property Class Reference

## Public Member Functions
| Property (String name, String type, String initVal)
| Property (String name, String type, String initVal, bool fillIn, bool memberVarUsed, String memberVarName, bool setMethodUsed, String setMethodName, String setMethodBodyStr, bool getMethodUsed, String getMethodName, String getMethodBodyStr, bool generateBodies, String comment)
String | GetName ()
void | SetName (String name)
String | GetType ()
void | SetType (String type)
String | GetInitVal ()
void | SetInitVal (String initVal)
bool | GetFilledIn ()
void | SetFilledIn (bool fillIn)
String | GetDataRange ()
void | SetDataRange (String dataRange)
bool | GetMemberVarUsed ()
void | SetMemberVarUsed (bool memberVarUsed)
String | GetMemberVarName ()
void | SetMemberVarName (String memberVarName)
bool | GetGetMethodUsed ()
void | SetGetMethodUsed (bool methodUsed)
String | GetGetMethodName ()
void | SetGetMethodName (String methodVarName)
String | GetGetMethodBodyStr ()
void | SetGetMethodBodyStr (String methodBodyStr)
bool | GetSetMethodUsed ()
void | SetSetMethodUsed (bool methodUsed)
String | GetSetMethodName ()
void | SetSetMethodName (String methodVarName)
String | GetSetMethodBodyStr ()
void | SetSetMethodBodyStr (String methodBodyStr)
bool | GetPropertyGetterMethodConst ()
void | SetPropertyGetterMethodConst (bool isConst)
String | GetComment ()
void | SetComment (String comment)
String | GetUserDefinedAttributeValue (String attributeName)
void | SetUserDefinedAttributeValue (String attributeName, String value)
UserDefinedValueAttributeList | GetUserDefinedAttributes ()

## Detailed Description

Python extension to modify code browser properties.

## Constructor & Destructor Documentation

## ◆ Property() [1/2]

Property::Property | ( | String | name,
|  | String | type,
|  | String | initVal
| ) |  |

Creates a property with the given initial values set.

Parameters

  name | Name of new property
  type | Type of new property
  initVal | Initial value of new property

## ◆ Property() [2/2]

Property::Property | ( | String | name,
|  | String | type,
|  | String | initVal,
|  | bool | fillIn,
|  | bool | memberVarUsed,
|  | String | memberVarName,
|  | bool | setMethodUsed,
|  | String | setMethodName,
|  | String | setMethodBodyStr,
|  | bool | getMethodUsed,
|  | String | getMethodName,
|  | String | getMethodBodyStr,
|  | bool | generateBodies,
|  | String | comment
| ) |  |

Creates a property with the given initial values set.

Parameters

  name | Name of new property
  type | Type of new property
  initVal | Initial value of new property
  fillIn | Flag to auto-fill in property details
  memberVarUsed | Flag to show if property is a member variable
  memberVarName | Member variable name to use
  setMethodUsed | Flag to show if the set method is used
  setMethodName | Name of the set method
  setMethodBodyStr | String containing code for the set method
  getMethodUsed | Flag to show if the get method is used
  getMethodName | Name of the get method
  getMethodBodyStr | String containing code for the get method
  generateBodies | Flag to show if method bodies are generated
  comment | string Comment regarding the property

## Member Function Documentation

## ◆ GetComment()

String Property::GetComment | ( |  | ) |

Retrieves the comment associated with the property.

Returns
  String containing the comment

## ◆ GetDataRange()

String Property::GetDataRange | ( |  | ) |

Retrieves the data range value(s)

Returns
  string containing the data range of the property

## ◆ GetFilledIn()

bool Property::GetFilledIn | ( |  | ) |

Retrieves the Filled-In flag.

Returns
  True if Filled-In flag is set, otherwise False

## ◆ GetGetMethodBodyStr()

String Property::GetGetMethodBodyStr | ( |  | ) |

Retrieves the get method body for the property.

Returns
  String containing the method body

## ◆ GetGetMethodName()

String Property::GetGetMethodName | ( |  | ) |

Retrieves the get method name for the property.

Returns
  String containing the method name

## ◆ GetGetMethodUsed()

bool Property::GetGetMethodUsed | ( |  | ) |

Retrieves the Get Method Used flag.

Returns
  True if the flag is set, otherwise False

## ◆ GetInitVal()

String Property::GetInitVal | ( |  | ) |

Retrieves the property's initial value.

Returns
  String containing the initial value of the property

## ◆ GetMemberVarName()

String Property::GetMemberVarName | ( |  | ) |

Retrieves the member variable name for the property.

Returns
  String containing the member variable name

## ◆ GetMemberVarUsed()

bool Property::GetMemberVarUsed | ( |  | ) |

Retrieves the Member Variable Used flag.

Returns
  True if the property is a member variable, otherwise False

## ◆ GetName()

String Property::GetName | ( |  | ) |

Retrieves the property's name.

Returns
  String containing the name of the property

## ◆ GetPropertyGetterMethodConst()

bool Property::GetPropertyGetterMethodConst | ( |  | ) |

Indicates whether or not the property's getter method is *.

Since
  GL Studio 6.0.1

## ◆ GetSetMethodBodyStr()

String Property::GetSetMethodBodyStr | ( |  | ) |

Retrieves the set method body for the property.

Returns
  String containing the method body

## ◆ GetSetMethodName()

String Property::GetSetMethodName | ( |  | ) |

Retrieves the set method name for the property.

Returns
  String containing the method name

## ◆ GetSetMethodUsed()

bool Property::GetSetMethodUsed | ( |  | ) |

Retrieves the Set Method Used flag.

Returns
  True if the flag is set, otherwise False

## ◆ GetType()

String Property::GetType | ( |  | ) |

Retrieves the property's type.

Returns
  String containing the type of the property

## ◆ GetUserDefinedAttributes()

UserDefinedValueAttributeList Property::GetUserDefinedAttributes | ( |  | ) |

Retrieves the user defined value attributes from the property.

Returns
  UserDefinedValueAttributeList containing the user defined attributes

## ◆ GetUserDefinedAttributeValue()

String Property::GetUserDefinedAttributeValue | ( | String | attributeName | ) |

Gets a User Defined Attribute Value associated with the property.

Parameters

  attributeName | String containing the name of the attribute value to retrieve

Returns
  String containing the value of the attribute

## ◆ SetComment()

void Property::SetComment | ( | String | comment | ) |

Sets the comment associated with the property.

Parameters

  comment | String containing the comment for the property

## ◆ SetDataRange()

void Property::SetDataRange | ( | String | dataRange | ) |

Sets the property's data range value(s)

Parameters

  dataRange | New data range value(s) for the property

## ◆ SetFilledIn()

void Property::SetFilledIn | ( | bool | fillIn | ) |

Sets the property's initial value.

Parameters

  fillIn | New value for the Filled-In flag for the property

## ◆ SetGetMethodBodyStr()

void Property::SetGetMethodBodyStr | ( | String | methodBodyStr | ) |

Sets the get method body for the property.

Parameters

  methodBodyStr | String containing the get method body for the property

## ◆ SetGetMethodName()

void Property::SetGetMethodName | ( | String | methodVarName | ) |

Sets the get method name for the property.

Parameters

  methodVarName | String containing the get method name for the property

## ◆ SetGetMethodUsed()

void Property::SetGetMethodUsed | ( | bool | methodUsed | ) |

Sets the Get Method Used flag for the property.

Parameters

  methodUsed | The new value for the Get Method Used flag for the property

## ◆ SetInitVal()

void Property::SetInitVal | ( | String | initVal | ) |

Sets the property's initial value.

Parameters

  initVal | New initial value for the property

## ◆ SetMemberVarName()

void Property::SetMemberVarName | ( | String | memberVarName | ) |

Sets the member variable name for the property.

Parameters

  memberVarName | The new member variable name for the property

## ◆ SetMemberVarUsed()

void Property::SetMemberVarUsed | ( | bool | memberVarUsed | ) |

Sets the Member Variable Used flag for the property.

Parameters

  memberVarUsed | New value for the Member Variable Used flag for the property

## ◆ SetName()

void Property::SetName | ( | String | name | ) |

Sets the property's name.

Parameters

  name | New name of property

## ◆ SetPropertyGetterMethodConst()

void Property::SetPropertyGetterMethodConst | ( | bool | isConst | ) |

Sets whether or not the property's getter method is *.

Since
  GL Studio 6.0.1

## ◆ SetSetMethodBodyStr()

void Property::SetSetMethodBodyStr | ( | String | methodBodyStr | ) |

Sets the set method body for the property.

Parameters

  methodBodyStr | String containing the set method body for the property

## ◆ SetSetMethodName()

void Property::SetSetMethodName | ( | String | methodVarName | ) |

Sets the set method name for the property.

Parameters

  methodVarName | String containing the set method name for the property

## ◆ SetSetMethodUsed()

void Property::SetSetMethodUsed | ( | bool | methodUsed | ) |

Sets the Set Method Used flag for the property.

Parameters

  methodUsed | The new value for the Set Method Used flag for the property

## ◆ SetType()

void Property::SetType | ( | String | type | ) |

Sets the property's type.

Parameters

  type | New type for the property

## ◆ SetUserDefinedAttributeValue()

void Property::SetUserDefinedAttributeValue | ( | String | attributeName,
|  | String | value
| ) |  |

Sets a User Defined Attribute Value associated with the property.

Parameters

  attributeName | String containing the name of the attribute value to retrieve
  value | String containing the value to ba assigned to the attribute

The documentation for this class was generated from the following file:

- Property.i